



/*double ElistColumn1[ELIST_SAVED]={0.0,0.541000,1.033000,1.705000,2.20700};
double ElistColumn2[ELIST_SAVED]={0.0,0.642000,1.134000,1.806000,2.2980};
double ElistColumn3[ELIST_SAVED]={0.0,0.663000,1.176000,1.837000,2.3380};
double ElistColumn4[ELIST_SAVED]={0.191,0.844000,1.388000,2.198000,0};*/

#include "ParECG.c"


void SynthEcgWrap(int *chandata_qt)
{
	int i;
	double *y;
	y=SynthECG();
	for(i=0;i<lines;i++)
	{
		chandata_qt[i]=(int)round((y[i]));
		//printf("%d \n",chan[i]);
	}
	free(y);


	return;
}


double *SynthECG(void)
{
 int i,j;
 double elist[ELIST_SAVED][ColumnElist]; 
 double HeightL[ELIST_SAVED][ColumnElist];
 double WidthL[ELIST_SAVED][ColumnElist];
 double stepSize=0.001;
 int rand_idx;
 double auxMax;
 int nbsample; 
 double *y;
 int mins=1;
 int maxs=1;
 double h2=0.0;
 double x;
 double Frequency=(double)fs;
 double sample=1.0/Frequency; 
/*Initializing the elist matrix */
 for(i=0;i<ELIST_SAVED;i++)
 {
 	elist[i][0]=ElistColumn1[i];
 	elist[i][1]=ElistColumn2[i];
 	elist[i][2]=ElistColumn3[i];
 	elist[i][3]=ElistColumn3[i];
 	elist[i][4]=ElistColumn4[i];
 }










/*Adding the S wave */
 for(i=0;i<ELIST_SAVED;i++)
 {
 	if(elist[i][3])
 	{
 		rand_idx=random(rowParECG);
 		elist[i][3] = elist[i][3] + ParECG[rand_idx][13]*stepSize;
 	}
 }
/*finding maximum entry of elist*/

auxMax=elist[0][0];
 for(i=0;i<ELIST_SAVED;i++)
 {
 	for(j=0;j<ColumnElist;j++)
 	{
		if(elist[i][j]>auxMax)       
			auxMax=elist[i][j];
 	}

 }
 auxMax=auxMax+1;
 nbsample=(int)ceil( auxMax/sample);

/*initialisin Ecg Array*/
y=(double *)malloc(nbsample*sizeof(double));

//Sample Width and Height of each wave
 for(i=0;i<ELIST_SAVED;i++)
 {
 	for(j=0;j<ColumnElist;j++)
 	{
		HeightL[i][j]=elist[i][j];       
		WidthL[i][j]=elist[i][j];       
 	}

 }
  for(i=0;i<ELIST_SAVED;i++)
 {
 	for(j=0;j<ColumnElist;j++)
 	{
 		if(elist[i][j])
		{
	 		rand_idx=random(rowParECG);
			HeightL[i][j]=ParECG[rand_idx][j];       
	 		rand_idx=random(rowParECG);
			WidthL[i][j]=ParECG[rand_idx][j+5];
		}       
 	}

 }









 //Increase R wave height
 for(i=0;i<ELIST_SAVED;i++)
 {
 	h2 = evalGauss(elist[i][2],elist,HeightL,WidthL,1,ELIST_SAVED);
    HeightL[i][2] =  HeightL[i][2] + (HeightL[i][2] -h2);
 }








 for(i=0;i<nbsample;i++)
 {
 	x=(i+1)*sample;
 	//printf("%lf \n",x);
 	while((elist[mins-1][0]<(x-5.0)) &&  (mins<ELIST_SAVED)      )
 	{
 		mins++;
 	}
 	while((elist[maxs-1][4]<(x+5.0)) &&  (maxs<ELIST_SAVED)      )
 	{
 		maxs++;
 	}
 	y[i]=evalGauss(x,elist,HeightL,WidthL,mins,maxs);




 }








return(y);


}

double evalGauss(double x,double elist[ELIST_SAVED][ColumnElist],double HeightL[ELIST_SAVED][ColumnElist],double WidthL[ELIST_SAVED][ColumnElist],int mins,int maxs)
{
 int j,k;
 double y=0.0;
 
 for(j=mins-1;j<maxs;j++)
 {
 	for(k=0;k<ColumnElist;k++)
 	{
 		if(elist[j][k])
 		{
            y = y + HeightL[j][k]*exp(- pow (((x-elist[j][k])/(WidthL[j][k])) , 2.0 ) *4.0*log(2));
 		}

 	}


 }

 return(y);


}
