
	/***************************/
	/*SAMPLING FREQUENCY 128 Hz*/
	/***************************/


	#define fs    128  /*samples frequency */
	#define SECURE_WINDOW 60   /* if the distance between a possible Q point and the end of the input array is less than SECURE_WINDOW then   */
	
	/*filtering 1984 parameters */
	#define JFILTER  5   /*number of samples to use SEE BELOW GOT TO BE ODD*/
	#define FLOORJ2  2   /*floor(JFILTER/2) computed here to avoid wired approximations */
	#define CR_THRE  40   /*threshold used in the filtering */

	/*filter_base_line parameter */
	#define RFILTER 26		/*parameter for the base line drift (still dont know the best values probably somethign between 20 and 30) GOT TO BE ODD*/

	/*parameters for R peak detection */
	#define R_PEAK_INTERVAL 50 /*dimensions of the intervals in which to look for rpeaks    ///0.35 sec/// */
	#define LOCAL_SEARCH_DIMENSION 10 /*control the dimension of the array for local search of R peak  (CAN BE DECREASED) */
	#define WINDOW_MODIFICATION 20 	/* Given a positive peak, dimension of the time window in which to look for a corresponding negative peak. It has to be heaven  */
	#define PEAK_LOCAL	24	/* Time window in which to look for the actual peak. It has to be heaven */

	/*parameters fot Q and S points detection */
	#define INTERVAL1 6 /*dimension of the interval in which to look for Q1 and S1		///0.04 sec */
	#define INTERVAL2 8	/*dimension of the interval in which to look for Q2 and S2	////0.06 sec */

	/*parameters for T wave detection */
	#define T_START   8/* 16 */  /*Determine from where to start the T point search 0.08 sec*/
	#define T_WINDOW  20 /* 40  */ /*Used in Twave_detect to define the length of the window in which to look for the Tpeak		/0.2 sec */
	#define T_END_WINDOW 10 /* 20 */	/*Used in Twave_detect to define the length of the window in which to look for the Tend   //0.1 sec */

	#define CONVERSION_FACTOR 0.78125 /*Factor used to map discrete time to analog time (measured in sec*10^-2) */
