#!/bin/sh

ModelName="Models/Heart_VVIR_pm"
FILE_LHA="Properties/wait_VVIR.lha"
DAT_FILE="Plots/test.dat"
PLOT_FILE="Plots/stem_plot.eps"
ERR_FILE="errors.txt"
ECG_txt_file="SynthECG/MIT_DB/andrea_working9021_8bit.txt'"
fs='100'
debug_option="1"
SYNTH="1" #if 1 go for synthethic signal, if 0 go for normal signal


ParentFolder="'../"

ECG_txt_file=$ParentFolder$ECG_txt_file


sed -i "/fs=/c\fs=$fs;" SynthECG/InitParam.m
sed -i "/debug=/c\debug=$debug_option;" SynthECG/InitParam.m
sed -i "/ECG_txt_file=/c\ECG_txt_file=$ECG_txt_file;" SynthECG/InitParam.m


matlab -nodesktop -nosplash -r 'cd SynthECG; RunParamEstimation'


file_gen="ParamEstim/ParECG.c"
file_used="BlendingCode/ParECG_used.c"
file="BlendingCode/ParECG.c"
backup="BlendingCode/back-up_ParECG.c"




CONIG_FILE="BlendingCode/SimulationConfig.h"

sed -i "/#define SYNTHETIC/c\#define SYNTHETIC $SYNTH" $CONIG_FILE


if [ -f "$file" ]
then
	mv -f $file $backup
fi

echo "Using the generated ParECG.csv file for the synthethic signal generation..."
mv -f $file_gen $file



formatslx=".slx"
formatgrml='.grml'
slx_file=$ModelName$formatslx
grml_file=$ModelName$formatgrml

../bin/modelConvert $slx_file --grml --add-reward

 ../bin/Cosmos $grml_file $FILE_LHA  --max-run 1 --trace-place "SIG_VPOut,SIG_VgetOut,SIG_AgetOut,SIG_APOut" --output-trace $DAT_FILE 0.0 --tmp-status 2   2>$ERR_FILE 

gnuplot -e "filename='$DAT_FILE';output_file='$PLOT_FILE'" Plots/GenStemPlot.plt


echo "Saving the parameters file just used as ParECG_used.c..."
mv -f $file $file_used 
if [ -f "$backup" ]
then
	echo "Restoring the previous parameters file..."
	mv -f $backup $file
fi



